Сайт | Скачать | Видео | Wiki

Автор Тема: SkypeForLinux >=5 версии  (Прочитано 1934 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн swwa

  • Пользователь
  • **
  • Сообщений: 33
  • Репутация: +0/-0
Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #15 : 06 Ноябрь 2018, 16:23:28 »
А в каком браузере под Puppy он работает? Свежую версию Skype на Puppy тоже установить не получится?

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23747
  • Репутация: +173/-0
    • PuppyRus-A
Re: Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #16 : 06 Ноябрь 2018, 17:02:14 »
в каком браузере под Puppy он работает?
chromium
Свежую версию Skype на Puppy тоже установить не получится?
Теоретически в любом линуксе получится

Оффлайн swwa

  • Пользователь
  • **
  • Сообщений: 33
  • Репутация: +0/-0
Re: Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #17 : 06 Ноябрь 2018, 19:19:25 »
А как установить свежий скайп (deb/rpm/snap)  на Puppyrus?

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23747
  • Репутация: +173/-0
    • PuppyRus-A
Re: Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #18 : 07 Ноябрь 2018, 08:58:45 »
В PR не знаю. В PRA : sudo pacman2pfs skypeforlinux-stable-binЧем не устроило через хром?

Оффлайн swwa

  • Пользователь
  • **
  • Сообщений: 33
  • Репутация: +0/-0
Re: Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #19 : 07 Ноябрь 2018, 22:26:31 »
Через Хромиум вроде работает (но пока звук проверил только в одну сторону и не проверил видеосвязь). Но по опыту в Windows, отдельное приложение работает стабильнее.
"sudo pacman2pfs skypeforlinux-stable-bin" выдает "не найдена цель: skypeforlinux-stable-bin"

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 832
  • Репутация: +40/-0
Re: Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #20 : 07 Ноябрь 2018, 22:45:18 »
"sudo pacman2pfs skypeforlinux-stable-bin" выдает "не найдена цель: skypeforlinux-stable-bin"
Да, он пытается тянуть skypeforlinux-stable-bin-8.22.0.2-1-x86_64.pkg.tar.xz из repo.archlinuxcn.org. А там такого уже нет, самый старый skypeforlinux-stable-bin-8.32.0.44-1-x86_64.pkg (12-Oct-2018).
Надо репу размораживать или искать пакет в архивах арча.

Он есть только для 64bit.
« Последнее редактирование: 07 Ноябрь 2018, 23:11:15 от krasnyh »

Оффлайн swwa

  • Пользователь
  • **
  • Сообщений: 33
  • Репутация: +0/-0
Re: Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #21 : 07 Ноябрь 2018, 23:20:59 »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 832
  • Репутация: +40/-0
Re: Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #22 : 07 Ноябрь 2018, 23:39:34 »
Но что с ним делать?
Скачать, перейти в директорию с ним. В терминале команду:
sudo pacman2pfs -U skypeforlinux-stable-bin-8.22.0.2-1-x86_64.pkg.tar.xz
P.s. Я тут попробовал skypeforlinux-stable-bin-8.33.0.41-1-x86_64. Не хочет запускаться.
(skypeforlinux:14464): dbind-WARNING **: 23:40:41.000: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
dbus[14464]: dbus message iterator has already been closed, or is uninitialized or corrupt
  D-Bus not built with -rdynamic so unable to print a backtrace
Server response: <?xml version="1.0" encoding="UTF-8"

Кстати, красиво сделано. В терминале абсолютная чистота, все ошибки перенаправляются в лог.
Цитировать
#!/bin/sh

SCRIPT=$(readlink -f "$0")
USR_DIRECTORY=$(readlink -f $(dirname $SCRIPT)/..)

SKYPE_PATH="$USR_DIRECTORY/share/skypeforlinux/skypeforlinux"
SKYPE_LOGS="$HOME/.config/skypeforlinux/logs"

mkdir -p $SKYPE_LOGS

nohup "$SKYPE_PATH" --executed-from="$(pwd)" --pid=$$ "$@" > "$SKYPE_LOGS/skype-startup.log" 2>&1 &

« Последнее редактирование: 07 Ноябрь 2018, 23:49:28 от krasnyh »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 832
  • Репутация: +40/-0
Re: Re: PRA. Не запускается skype-p-4.3.0.37-s03.pfs
« Ответ #23 : 08 Ноябрь 2018, 00:11:50 »
 Запустился. Но опять только с использованием DM (lightdm). Как и в случае с teamviewer-beta-qt5-13.1.3026-1806.

(roll1806; systemd; skypeforlinux-stable-bin-8.33.0.41-1-x86_64)
Скриншот.
« Последнее редактирование: 08 Ноябрь 2018, 00:18:38 от krasnyh »

Онлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10018
  • Репутация: +103/-0
Re: SkypeForLinux >=5 версии
« Ответ #24 : 08 Ноябрь 2018, 10:07:15 »
Запустился. Но опять только с использованием DM (lightdm). Как и в случае с teamviewer-beta-qt5-13.1.3026-1806
а есть логи когда не запускалось? может там более понятно чего оно от lightdm хочет.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн swwa

  • Пользователь
  • **
  • Сообщений: 33
  • Репутация: +0/-0
Re: SkypeForLinux >=5 версии
« Ответ #25 : 08 Ноябрь 2018, 12:58:35 »
Скачать, перейти в директорию с ним. В терминале команду:
sudo pacman2pfs -U skypeforlinux-stable-bin-8.22.0.2-1-x86_64.pkg.tar.xz

Попробовал (в pra6407-1709light). Выдает "ошибка: одновременно может выполняться только одна операция"

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23747
  • Репутация: +173/-0
    • PuppyRus-A
Re: SkypeForLinux >=5 версии
« Ответ #26 : 08 Ноябрь 2018, 13:19:40 »
pra6407-1709light
Не поддерживается
Пробуйте там где у других получилось
(roll1806; systemd;

Оффлайн swwa

  • Пользователь
  • **
  • Сообщений: 33
  • Репутация: +0/-0
Re: SkypeForLinux >=5 версии
« Ответ #27 : 08 Ноябрь 2018, 15:41:12 »
Вот такая вот фигня, после которой Скайп в меню не появляется:

sudo pacman2pfs -U sk.pkg.tar.xz
База пакетов пуста. Синхронизировать? [Y/n]
:: Обновление баз данных пакетов...
 pra6407extra                        97,5 KiB  71,9K/s 00:01 [################################] 100%
 2a-any                              23,8 KiB  65,4K/s 00:00 [################################] 100%
 core                               126,2 KiB   332K/s 00:00 [################################] 100%
 extra                             1643,2 KiB   379K/s 00:04 [################################] 100%
 community                            4,3 MiB   310K/s 00:14 [################################] 100%
 art-aur                             10,3 KiB  53,6K/s 00:00 [################################] 100%
 revenge_repo                        38,9 KiB  36,7K/s 00:01 [################################] 100%
 herecura                            63,7 KiB  42,6K/s 00:01 [################################] 100%
 archlinuxcn                        941,0 KiB   418K/s 00:02 [################################] 100%
Очистить кэш пакетов? [Y/n]
rm: невозможно удалить '/var/cache/pacman/pkg/*': Нет такого файла или каталога
ошибка: повторяющаяся запись в базе данных 'xcowsay'
ошибка: повторяющаяся запись в базе данных 'xcowsay'
разрешение зависимостей...

Пакеты (22) adwaita-icon-theme-3.26.1-1  at-spi2-atk-2.26.1-1  at-spi2-core-2.26.2-1
            cantarell-fonts-1:0.0.25-3  colord-1.4.1+6+gf08c25d-1  glib-networking-2.54.1-1
            gtk3-3.22.26+47+g3a1a7135a2-3  js-24.2.0-4  libcanberra-0.30+2+gc0620e4-1
            libedit-20170329_3.1-1  libgusb-0.2.11-1  libomxil-bellagio-0.9.3-1  libproxy-0.4.15-6
            libsoup-2.60.2-1  libtool-2.4.6+40+g6ca5e224-2  llvm-libs-5.0.1-1  mesa-17.3.1-2
            polkit-0.113+34+g29ba7af-1  rest-0.8.1-1  sound-theme-freedesktop-0.8-2  tdb-1.3.15-1
            wayland-protocols-1.12-1

Будет загружено:  54,90 MiB

:: Приступить к загрузке? [Y/n]
:: Получение пакетов...
 libedit-20170329_3.1-1-x86_64       97,7 KiB   153K/s 00:01 [################################]   0%
[...]
 gtk3-3.22.26+47+g3a1a7135a2-3...    54,9 MiB   453K/s 02:04 [################################] 100%
(22/22) проверка ключей                                      [################################] 100%
(22/22) проверяется целостность пакета                       [################################] 100%
предупреждение: database file for 'pra6407extra' does not exist
предупреждение: database file for '2a-any' does not exist
предупреждение: database file for 'core' does not exist
предупреждение: database file for 'extra' does not exist
предупреждение: database file for 'community' does not exist
предупреждение: database file for 'art-aur' does not exist
предупреждение: database file for 'revenge_repo' does not exist
предупреждение: database file for 'herecura' does not exist
предупреждение: database file for 'archlinuxcn' does not exist
загрузка пакетов...
проверка конфликтов...

Пакеты (23) adwaita-icon-theme-3.26.1-1  at-spi2-atk-2.26.1-1  at-spi2-core-2.26.2-1
            cantarell-fonts-1:0.0.25-3  colord-1.4.1+6+gf08c25d-1  glib-networking-2.54.1-1
            gtk3-3.22.26+47+g3a1a7135a2-3  js-24.2.0-4  libcanberra-0.30+2+gc0620e4-1
            libedit-20170329_3.1-1  libgusb-0.2.11-1  libomxil-bellagio-0.9.3-1  libproxy-0.4.15-6
            libsoup-2.60.2-1  libtool-2.4.6+40+g6ca5e224-2  llvm-libs-5.0.1-1  mesa-17.3.1-2
            polkit-0.113+34+g29ba7af-1  rest-0.8.1-1  skypeforlinux-stable-bin-8.22.0.2-1
            sound-theme-freedesktop-0.8-2  tdb-1.3.15-1  wayland-protocols-1.12-1

Будет установлено:  461,31 MiB

:: Приступить к установке? [Y/n]
(23/23) проверка ключей                                      [################################] 100%
(23/23) проверяется целостность пакета                       [################################] 100%
(23/23) загрузка файлов пакетов                              [################################] 100%
(23/23) проверка конфликтов файлов                           [################################] 100%
:: Обработка изменений пакета...
( 1/23) установка adwaita-icon-theme                         [################################] 100%
[...]
(23/23) установка wayland-protocols                          [################################] 100%
:: Работа послеоперационных перехватов...
(1/1) Probing GTK3 input method modules...
вызов execv завершился неудачно (Нет такого файла или каталога)
ошибка: не удалось корректно выполнить команду
rm: невозможно удалить '/home/live/sk/etc/udev/hwdb.bin': Нет такого файла или каталога
find: ‘/home/live/sk/usr/share/terminfo/*’: Нет такого файла или каталога
[еще куча таких же сообщений]

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23747
  • Репутация: +173/-0
    • PuppyRus-A
Re: SkypeForLinux >=5 версии
« Ответ #28 : 08 Ноябрь 2018, 16:12:18 »
krasnyh - выложите свой рабочий модуль

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 832
  • Репутация: +40/-0
Re: SkypeForLinux >=5 версии
« Ответ #29 : 08 Ноябрь 2018, 17:10:58 »
Пакеты (22) adwaita-icon-theme-3.26.1-1  at-spi2-atk-2.26.1-1  at-spi2-core-2.26.2-1
            cantarell-fonts-1:0.0.25-3  colord-1.4.1+6+gf08c25d-1  glib-networking-2.54.1-1
            gtk3-3.22.26+47+g3a1a7135a2-3  js-24.2.0-4  libcanberra-0.30+2+gc0620e4-1
Автор пытается ставить на gtk2 систему gtk3-модуль. Поэтому не знаю, заработает ли мой у него.
https://aur.archlinux.org/packages/skypeforlinux-stable-bin/

 Мой модуль https://yadi.sk/d/c-fjORg5nKP4Og
$ pfspkg skypeforlinux-stable-bin-8.33.0.41-1806.pfs
gconf
libsecret
skypeforlinux-stable-bin
Необходимые зависимости polkit, nss (через sfs-get). Если ставится на PRA-gtk2, то еще подключить 030-gtk3, но гарантии нет.
Требует у меня также либы avahi:
libavahi-common.so.3 => not found
libavahi-client.so.3 => not found
Можно только их положить или подключить полный пакет.
sudo pacman2pfs avahi
 В PRA с minirc запуститься должно без проблем. С systemd требуется DM https://wiki.archlinux.org/index.php/Display_manager

Если проблемы с запуском, проверить наличие либ:
ldd /usr/share/skypeforlinux/skypeforlinux |grep not
« Последнее редактирование: 08 Ноябрь 2018, 17:19:12 от krasnyh »